Loading...
Searching...
No Matches
Opm::ConditionalStorage< false, T > Class Template Reference

## Public Types

typedef T | type

## Public Member Functions

OPM_HOST_DEVICE | ConditionalStorage (const T &)
OPM_HOST_DEVICE | ConditionalStorage (const ConditionalStorage &)
template<class ... Args>
OPM_HOST_DEVICE | ConditionalStorage (Args...)
OPM_HOST_DEVICE ConditionalStorage & | operator= (const ConditionalStorage &)
OPM_HOST_DEVICE const T & | operator* () const
OPM_HOST_DEVICE const T * | operator-> () const
OPM_HOST_DEVICE | operator const T & () const
OPM_HOST_DEVICE | operator T& ()

## Static Public Attributes

static constexpr bool | condition = false

The documentation for this class was generated from the following file:

- opm/material/common/ConditionalStorage.hpp